Bug 183972 - 'Could not claim the USB device'
'Could not claim the USB device'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-04 06:26 EST by Mads Villadsen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.1.99-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-06 01:23:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gphoto2 debug output (86.29 KB, text/plain)
2006-03-04 06:26 EST, Mads Villadsen
no flags Details

  None (edit)
Description Mads Villadsen 2006-03-04 06:26:46 EST
Description of problem:
Unable to get pictures from my Canon Ixus 40 camera due to this error: 'Could
not claim the USB device'.

Version-Release number of selected component (if applicable):
gphoto2-2.1.99-5.2

How reproducible:
Always

Steps to Reproduce:
1. Attach camera. Gives the following output in /var/log/messages:

Mar  4 12:23:04 ice kernel: usb 1-2.4: new full speed USB device using ehci_hcd
and address 6
Mar  4 12:23:04 ice kernel: usb 1-2.4: configuration #1 chosen from 1 choice
Mar  4 12:26:41 ice kernel: usb 1-2.4: USB disconnect, address 6

2. run gphoto2 -P
3. Get the following error:

*** Error ***
An error occurred in the io-library ('Could not claim the USB device'): Could
not claim interface 0 (Operation not permitted). Make sure no other program or
kernel module (such as sdc2xx, stv680, spca50x) is using the device and you have
read/write access to the device.
*** Error (-53: 'Could not claim the USB device') ***

  
Actual results:
Read/write error

Expected results:
Pictures downloaded

Additional info:
Attached the output of gphoto2 --debug -P
Comment 1 Mads Villadsen 2006-03-04 06:26:46 EST
Created attachment 125638 [details]
gphoto2 debug output
Comment 2 Radek Vokal 2006-03-06 01:23:50 EST
Fixed in gphoto2-2.1.99-7 (Hopefully will be included to FC5, otherwise will
appear as update)
Comment 3 Bruce Brackbill 2006-04-03 23:41:26 EDT
I'm getting the same errors as the reporter, plus selinux denied messages ( that
the reporter may have also got but missed in his report )

/var/log/messages:

Apr  3 20:28:56 localhost kernel: usb 3-1: new full speed USB device using
uhci_hcd and address 4
Apr  3 20:28:57 localhost kernel: usb 3-1: configuration #1 chosen from 1 choice
Apr  3 20:28:57 localhost kernel: audit(1144121337.284:16): avc:  denied  {
search } for  pid=3232 comm="cat" name="console" dev=dm-0 ino=589913
scontext=system_u:system_r:hald_t:s0
tcontext=system_u:object_r:pam_var_console_t:s0 tclass=dir
Apr  3 20:33:06 localhost kernel: usb 3-1: USB disconnect, address 4

This is with fc5 final and gphoto2 2.1.99-8

I've also added my comments to bug:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=186131

Comment 4 Bruce Brackbill 2006-04-04 12:45:45 EDT
I tested with selinux disabled and it worked. No errors and import of images
successful.

Note You need to log in before you can comment on or make changes to this bug.